#include<iostream>

using namespace std;

int main(){
int N, z, t, a, najvise, najmanje, M, s;
cin >> N;
cin >> M;
int v [N] [2];
for(int i = 0; i < N; i++)
{
cin >> v [i] [0];
cin >> v [i] [1];
}
int r1 [M];
for(int M1 = 0; M1 < M; M1++)
{
int s = 0;
cin >> z;
cin >> t;
cin >> a;
for(int i = z - 1; i < t; i++)
{
najmanje = v [i] [0];
najvise = v [i] [1];
if(najmanje <= a and najvise >= a)
s++;
}
if(s > 0)
r1 [M1] = 1;
else
r1 [M1] = 0;
{
if(s < 0)
r1 [M1] = 0;
else if(s > 0)
r1 [M1] = s;
}
}
for(int i = 0; i < M; i++)
cout << r1 [i] << "\n";
}